=begin
/****************************************************************************
** $Id: aclock.rb,v 1.1.1.2 2000/11/14 17:04:52 horie Exp $
**
=begin
** Copyright (C) 1992-2000 Troll Tech AS.  All rights reserved.
**
** This file is part of an example program for Qt.  This example
** program may be used, distributed and modified without limitation.
**
*****************************************************************************/
=end

require "qt2"
include Qt2
require "aclock_lib.rb"

    a = QApplication.new( [$0]+ARGV )
    clock = AnalogClock.new
    if ( ARGV.size == 1 && ARGV[0] == "-transparent"  )
	clock.setAutoMask( true )
    else
             clock.setAutoMask(false)
    end
    clock.resize( 100, 100 )
    a.setMainWidget( clock )
    clock.show()
    a.exec()


